Foreman - Bug #18950

ComputeResourcelntegrationTest#test_0003_compute resource password [..] fails on capybara
2.13.0

03/17/2017 11:09 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Tests
Target version: 1.14.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4386,
https://github.com/theforeman/foreman/p
ull/4397
Description

Since the release of capybara 2.13.0, the following test fails on develop:

ComputeResourceIntegrationTest#test_0003_compute resource password doesn't deleted while test conn
ection [/home/dcleal/code/foreman/foreman/test/integration/compute_resource_test.rb:23]:
Expected: "123456"

Actual: nil

It passes under 2.12.1. It appears to rely upon editing a disabled password field, which is probably the fault, as the value of the field
isn't updated when it's filled.

Associated revisions

Revision b9c0ea89 - 03/19/2017 03:33 AM - Dominic Cleal
fixes #18950 - enable password field in CR form test
Prior to capybara 2.13.0, the test passed despite filling in a disabled

password field, but a change now prevents this odd assumption. The test
now enables the field via the provided button, also requiring JS.

Revision e53fd8e1 - 03/22/2017 09:57 AM - Dominic Cleal

refs #18950 - wait for CR test connection to complete

Revision d989698e - 03/28/2017 11:47 AM - Dominic Cleal

fixes #18950 - enable password field in CR form test

Prior to capybara 2.13.0, the test passed despite filling in a disabled

password field, but a change now prevents this odd assumption. The test

now enables the field via the provided button, also requiring JS.

(cherry picked from commit b9c0ea89039797a7e5617e922947472e1170ebb2)
Revision cf4fa3d5 - 03/28/2017 11:47 AM - Dominic Cleal

refs #18950 - wait for CR test connection to complete

(cherry picked from commit e53fd8e1b24fe7d0d578bb73243a0c28d66e7638)

History

#1 - 03/17/2017 11:33 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4386 added
#2 - 03/19/2017 04:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b9c0ea89039797a7e5617e922947472e1170ebb?2.

#3 - 03/20/2017 04:42 AM - Dominic Cleal

- translation missing: en.field_release set to 227

#4 - 03/22/2017 07:16 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/4397 added
